import gettext
import logging
import actions.helpers.config_loader as config

log = logging.getLogger("Rasa action localization")

language = config.get_action_server_config().get("language", "Cannot load language.")

'''
    This code belongs to the Gettext package.
    Tag translatable strings in your code with the _("your string") pattern.

'''

global lang
lang = gettext.translation(
    'base',
    localedir='actions/locales',
    languages=[language])

lang.install()

global _
_ = lang.gettext
