# # This file contains functions:
# # - to obtain values that are required to be passed as arguments to the responses

# from typing import Any, Text, Dict, List, Tuple

# from rasa_sdk.executor import CollectingDispatcher
# from rasa_sdk import Tracker
# from actions.helpers.graphql_helpers import graphql_result_to_list
# from actions.helpers.synonym_manager import find_synonym_for_agnostic_entity
# from actions.helpers.graphql_helpers import handle_error_dispatching
# from actions.helpers.localization import _

# from rasa_sdk.events import EventType

# from datetime import datetime

# import actions.helpers.config_loader as config

# # Import spacy to find word similarity
# import spacy

# import logging
# log = logging.getLogger(__name__)

# def get_phrases_sorted_by_similarity(reference_phrases, phrases_list) -> List:
#     '''This function takes a reference phrase and a list of phrases and
#     sort the lilst based on the similarity with the reference phase'''
#     # load spacy model
#     language = config.get_language()
#     log.info(f'language: {language}')
#     if language == 'it':
#         model = 'it_core_news_md'
#     else:
#         model = 'en_core_web_md'
#     log.info(f'model: {model}')
#     nlp = spacy.load(model)
#     ref_wrd = nlp(reference_phrases)
#     log.info(f'ref_wrd = {ref_wrd}')
#     # initialize a list to hold similiraty scores
#     scores = []
#     # compare each phrase in the list with the reference phrase
#     for phrase in phrases_list:
#         phrase_to_compare = nlp(phrase)
#         log.info(f'phrase_to_compare = {phrase_to_compare}')
#         score = ref_wrd.similarity(phrase_to_compare)
#         log.info(f'score = {score}')
#         scores.append(score)
#     # sort the list of phrases based on scores list
#     sorted_list = [x for _, x in sorted(zip(scores, phrases_list), reverse=True)]
#     return sorted_list
